### Type parameters

- #### TValue

### Hierarchy

- LoDashExplicitWrapper

## Index

### Methods

- countBy
- every
- filter
- find
- findLast
- flatMap
- flatMapDeep
- flatMapDepth
- groupBy
- includes
- invokeMap
- keyBy
- map
- orderBy
- partition
- reduce
- reduceRight
- reject
- sample
- sampleSize
- shuffle
- size
- some
- sortBy

## Methods

### countBy

- countBy<T>(this: LoDashExplicitWrapper<List<T> | null | undefined>, iteratee?: ValueIteratee<T>): LoDashExplicitWrapper<Dictionary<number>>
- countBy<T>(this: LoDashExplicitWrapper<T | null | undefined>, iteratee?: ValueIteratee<T[keyof T]>): LoDashExplicitWrapper<Dictionary<number>>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:51
  see

    _.countBy

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T> | null | undefined>

  - ##### Optional iteratee: ValueIteratee<T>

  #### Returns LoDashExplicitWrapper<Dictionary<number>>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:59
  see

    _.countBy

  #### Type parameters

  - #### T: object

  #### Parameters

  - ##### this: LoDashExplicitWrapper<T | null | undefined>

  - ##### Optional iteratee: ValueIteratee<T[keyof T]>

  #### Returns LoDashExplicitWrapper<Dictionary<number>>

### every

- every<T>(this: LoDashExplicitWrapper<List<T> | null | undefined>, predicate?: ListIterateeCustom<T, boolean>): LoDashExplicitWrapper<boolean>
- every<T>(this: LoDashExplicitWrapper<T | null | undefined>, predicate?: ObjectIterateeCustom<T, boolean>): LoDashExplicitWrapper<boolean>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:192
  see

    _.every

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T> | null | undefined>

  - ##### Optional predicate: ListIterateeCustom<T, boolean>

  #### Returns LoDashExplicitWrapper<boolean>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:200
  see

    _.every

  #### Type parameters

  - #### T: object

  #### Parameters

  - ##### this: LoDashExplicitWrapper<T | null | undefined>

  - ##### Optional predicate: ObjectIterateeCustom<T, boolean>

  #### Returns LoDashExplicitWrapper<boolean>

### filter

- filter(this: LoDashExplicitWrapper<string | null | undefined>, predicate?: StringIterator<boolean>): LoDashExplicitWrapper<string[]>
- filter<T, S>(this: LoDashExplicitWrapper<List<T> | null | undefined>, predicate: ListIteratorTypeGuard<T, S>): LoDashExplicitWrapper<S[]>
- filter<T>(this: LoDashExplicitWrapper<List<T> | null | undefined>, predicate?: ListIterateeCustom<T, boolean>): LoDashExplicitWrapper<T[]>
- filter<T, S>(this: LoDashExplicitWrapper<T | null | undefined>, predicate: ObjectIteratorTypeGuard<T, S>): LoDashExplicitWrapper<S[]>
- filter<T>(this: LoDashExplicitWrapper<T | null | undefined>, predicate?: ObjectIterateeCustom<T, boolean>): LoDashExplicitWrapper<Array<T[keyof T]>>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:301
  see

    _.filter

  #### Parameters

  - ##### this: LoDashExplicitWrapper<string | null | undefined>

  - ##### Optional predicate: StringIterator<boolean>

  #### Returns LoDashExplicitWrapper<string[]>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:309
  see

    _.filter

  #### Type parameters

  - #### T

  - #### S: T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T> | null | undefined>

  - ##### predicate: ListIteratorTypeGuard<T, S>

  #### Returns LoDashExplicitWrapper<S[]>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:317
  see

    _.filter

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T> | null | undefined>

  - ##### Optional predicate: ListIterateeCustom<T, boolean>

  #### Returns LoDashExplicitWrapper<T[]>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:325
  see

    _.filter

  #### Type parameters

  - #### T: object

  - #### S: T[keyof T]

  #### Parameters

  - ##### this: LoDashExplicitWrapper<T | null | undefined>

  - ##### predicate: ObjectIteratorTypeGuard<T, S>

  #### Returns LoDashExplicitWrapper<S[]>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:333
  see

    _.filter

  #### Type parameters

  - #### T: object

  #### Parameters

  - ##### this: LoDashExplicitWrapper<T | null | undefined>

  - ##### Optional predicate: ObjectIterateeCustom<T, boolean>

  #### Returns LoDashExplicitWrapper<Array<T[keyof T]>>

### find

- find<T, S>(this: LoDashExplicitWrapper<List<T> | null | undefined>, predicate: ListIteratorTypeGuard<T, S>, fromIndex?: undefined | number): LoDashExplicitWrapper<S | undefined>
- find<T>(this: LoDashExplicitWrapper<List<T> | null | undefined>, predicate?: ListIterateeCustom<T, boolean>, fromIndex?: undefined | number): LoDashExplicitWrapper<T | undefined>
- find<T, S>(this: LoDashExplicitWrapper<T | null | undefined>, predicate: ObjectIteratorTypeGuard<T, S>, fromIndex?: undefined | number): LoDashExplicitWrapper<S | undefined>
- find<T>(this: LoDashExplicitWrapper<T | null | undefined>, predicate?: ObjectIterateeCustom<T, boolean>, fromIndex?: undefined | number): LoDashExplicitWrapper<T[keyof T] | undefined>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:427
  see

    _.find

  #### Type parameters

  - #### T

  - #### S: T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T> | null | undefined>

  - ##### predicate: ListIteratorTypeGuard<T, S>

  - ##### Optional fromIndex: undefined | number

  #### Returns LoDashExplicitWrapper<S | undefined>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:436
  see

    _.find

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T> | null | undefined>

  - ##### Optional predicate: ListIterateeCustom<T, boolean>

  - ##### Optional fromIndex: undefined | number

  #### Returns LoDashExplicitWrapper<T | undefined>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:445
  see

    _.find

  #### Type parameters

  - #### T: object

  - #### S: T[keyof T]

  #### Parameters

  - ##### this: LoDashExplicitWrapper<T | null | undefined>

  - ##### predicate: ObjectIteratorTypeGuard<T, S>

  - ##### Optional fromIndex: undefined | number

  #### Returns LoDashExplicitWrapper<S | undefined>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:454
  see

    _.find

  #### Type parameters

  - #### T: object

  #### Parameters

  - ##### this: LoDashExplicitWrapper<T | null | undefined>

  - ##### Optional predicate: ObjectIterateeCustom<T, boolean>

  - ##### Optional fromIndex: undefined | number

  #### Returns LoDashExplicitWrapper<T[keyof T] | undefined>

### findLast

- findLast<T, S>(this: LoDashExplicitWrapper<List<T> | null | undefined>, predicate: ListIteratorTypeGuard<T, S>, fromIndex?: undefined | number): LoDashExplicitWrapper<S | undefined>
- findLast<T>(this: LoDashExplicitWrapper<List<T> | null | undefined>, predicate?: ListIterateeCustom<T, boolean>, fromIndex?: undefined | number): LoDashExplicitWrapper<T | undefined>
- findLast<T, S>(this: LoDashExplicitWrapper<T | null | undefined>, predicate: ObjectIteratorTypeGuard<T, S>, fromIndex?: undefined | number): LoDashExplicitWrapper<S | undefined>
- findLast<T>(this: LoDashExplicitWrapper<T | null | undefined>, predicate?: ObjectIterateeCustom<T, boolean>, fromIndex?: undefined | number): LoDashExplicitWrapper<T[keyof T] | undefined>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:548
  see

    _.findLast

  #### Type parameters

  - #### T

  - #### S: T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T> | null | undefined>

  - ##### predicate: ListIteratorTypeGuard<T, S>

  - ##### Optional fromIndex: undefined | number

  #### Returns LoDashExplicitWrapper<S | undefined>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:557
  see

    _.findLast

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T> | null | undefined>

  - ##### Optional predicate: ListIterateeCustom<T, boolean>

  - ##### Optional fromIndex: undefined | number

  #### Returns LoDashExplicitWrapper<T | undefined>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:566
  see

    _.findLast

  #### Type parameters

  - #### T: object

  - #### S: T[keyof T]

  #### Parameters

  - ##### this: LoDashExplicitWrapper<T | null | undefined>

  - ##### predicate: ObjectIteratorTypeGuard<T, S>

  - ##### Optional fromIndex: undefined | number

  #### Returns LoDashExplicitWrapper<S | undefined>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:575
  see

    _.findLast

  #### Type parameters

  - #### T: object

  #### Parameters

  - ##### this: LoDashExplicitWrapper<T | null | undefined>

  - ##### Optional predicate: ObjectIterateeCustom<T, boolean>

  - ##### Optional fromIndex: undefined | number

  #### Returns LoDashExplicitWrapper<T[keyof T] | undefined>

### flatMap

- flatMap<T>(this: LoDashExplicitWrapper<List<Many<T>> | Dictionary<Many<T>> | NumericDictionary<Many<T>> | null | undefined>): LoDashExplicitWrapper<T[]>
- flatMap(): LoDashExplicitWrapper<any[]>
- flatMap<T, TResult>(this: LoDashExplicitWrapper<List<T> | null | undefined>, iteratee: ListIterator<T, Many<TResult>>): LoDashExplicitWrapper<TResult[]>
- flatMap<T, TResult>(this: LoDashExplicitWrapper<T | null | undefined>, iteratee: ObjectIterator<T, Many<TResult>>): LoDashExplicitWrapper<TResult[]>
- flatMap(iteratee: string): LoDashExplicitWrapper<any[]>
- flatMap(iteratee: object): LoDashExplicitWrapper<boolean[]>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:684
  see

    _.flatMap

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<Many<T>> | Dictionary<Many<T>> | NumericDictionary<Many<T>> | null | undefined>

  #### Returns LoDashExplicitWrapper<T[]>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:689
  see

    _.flatMap

  #### Returns LoDashExplicitWrapper<any[]>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:694
  see

    _.flatMap

  #### Type parameters

  - #### T

  - #### TResult

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T> | null | undefined>

  - ##### iteratee: ListIterator<T, Many<TResult>>

  #### Returns LoDashExplicitWrapper<TResult[]>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:702
  see

    _.flatMap

  #### Type parameters

  - #### T: object

  - #### TResult

  #### Parameters

  - ##### this: LoDashExplicitWrapper<T | null | undefined>

  - ##### iteratee: ObjectIterator<T, Many<TResult>>

  #### Returns LoDashExplicitWrapper<TResult[]>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:710
  see

    _.flatMap

  #### Parameters

  - ##### iteratee: string

  #### Returns LoDashExplicitWrapper<any[]>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:717
  see

    _.flatMap

  #### Parameters

  - ##### iteratee: object

  #### Returns LoDashExplicitWrapper<boolean[]>

### flatMapDeep

- flatMapDeep<T>(this: LoDashExplicitWrapper<List<ListOfRecursiveArraysOrValues<T> | T> | Dictionary<ListOfRecursiveArraysOrValues<T> | T> | NumericDictionary<ListOfRecursiveArraysOrValues<T> | T> | null | undefined>): LoDashExplicitWrapper<T[]>
- flatMapDeep<T, TResult>(this: LoDashExplicitWrapper<List<T> | null | undefined>, iteratee: ListIterator<T, ListOfRecursiveArraysOrValues<TResult> | TResult>): LoDashExplicitWrapper<TResult[]>
- flatMapDeep<T, TResult>(this: LoDashExplicitWrapper<T | null | undefined>, iteratee: ObjectIterator<T, ListOfRecursiveArraysOrValues<TResult> | TResult>): LoDashExplicitWrapper<TResult[]>
- flatMapDeep(this: LoDashExplicitWrapper<object | null | undefined>, iteratee: string): LoDashExplicitWrapper<any[]>
- flatMapDeep(this: LoDashExplicitWrapper<object | null | undefined>, iteratee: object): LoDashExplicitWrapper<boolean[]>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:825
  see

    _.flatMapDeep

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<ListOfRecursiveArraysOrValues<T> | T> | Dictionary<ListOfRecursiveArraysOrValues<T> | T> | NumericDictionary<ListOfRecursiveArraysOrValues<T> | T> | null | undefined>

  #### Returns LoDashExplicitWrapper<T[]>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:832
  see

    _.flatMapDeep

  #### Type parameters

  - #### T

  - #### TResult

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T> | null | undefined>

  - ##### iteratee: ListIterator<T, ListOfRecursiveArraysOrValues<TResult> | TResult>

  #### Returns LoDashExplicitWrapper<TResult[]>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:840
  see

    _.flatMapDeep

  #### Type parameters

  - #### T: object

  - #### TResult

  #### Parameters

  - ##### this: LoDashExplicitWrapper<T | null | undefined>

  - ##### iteratee: ObjectIterator<T, ListOfRecursiveArraysOrValues<TResult> | TResult>

  #### Returns LoDashExplicitWrapper<TResult[]>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:848
  see

    _.flatMapDeep

  #### Parameters

  - ##### this: LoDashExplicitWrapper<object | null | undefined>

  - ##### iteratee: string

  #### Returns LoDashExplicitWrapper<any[]>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:856
  see

    _.flatMapDeep

  #### Parameters

  - ##### this: LoDashExplicitWrapper<object | null | undefined>

  - ##### iteratee: object

  #### Returns LoDashExplicitWrapper<boolean[]>

### flatMapDepth

- flatMapDepth<T>(this: LoDashExplicitWrapper<List<ListOfRecursiveArraysOrValues<T> | T> | Dictionary<ListOfRecursiveArraysOrValues<T> | T> | NumericDictionary<ListOfRecursiveArraysOrValues<T> | T> | null | undefined>): LoDashExplicitWrapper<T[]>
- flatMapDepth<T, TResult>(this: LoDashExplicitWrapper<List<T> | null | undefined>, iteratee: ListIterator<T, ListOfRecursiveArraysOrValues<TResult> | TResult>, depth?: undefined | number): LoDashExplicitWrapper<TResult[]>
- flatMapDepth<T, TResult>(this: LoDashExplicitWrapper<T | null | undefined>, iteratee: ObjectIterator<T, ListOfRecursiveArraysOrValues<TResult> | TResult>, depth?: undefined | number): LoDashExplicitWrapper<TResult[]>
- flatMapDepth(this: LoDashExplicitWrapper<object | null | undefined>, iteratee: string, depth?: undefined | number): LoDashExplicitWrapper<any[]>
- flatMapDepth(this: LoDashExplicitWrapper<object | null | undefined>, iteratee: object, depth?: undefined | number): LoDashExplicitWrapper<boolean[]>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:974
  see

    _.flatMapDepth

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<ListOfRecursiveArraysOrValues<T> | T> | Dictionary<ListOfRecursiveArraysOrValues<T> | T> | NumericDictionary<ListOfRecursiveArraysOrValues<T> | T> | null | undefined>

  #### Returns LoDashExplicitWrapper<T[]>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:981
  see

    _.flatMapDepth

  #### Type parameters

  - #### T

  - #### TResult

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T> | null | undefined>

  - ##### iteratee: ListIterator<T, ListOfRecursiveArraysOrValues<TResult> | TResult>

  - ##### Optional depth: undefined | number

  #### Returns LoDashExplicitWrapper<TResult[]>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:990
  see

    _.flatMapDepth

  #### Type parameters

  - #### T: object

  - #### TResult

  #### Parameters

  - ##### this: LoDashExplicitWrapper<T | null | undefined>

  - ##### iteratee: ObjectIterator<T, ListOfRecursiveArraysOrValues<TResult> | TResult>

  - ##### Optional depth: undefined | number

  #### Returns LoDashExplicitWrapper<TResult[]>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:999
  see

    _.flatMapDepth

  #### Parameters

  - ##### this: LoDashExplicitWrapper<object | null | undefined>

  - ##### iteratee: string

  - ##### Optional depth: undefined | number

  #### Returns LoDashExplicitWrapper<any[]>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:1008
  see

    _.flatMapDepth

  #### Parameters

  - ##### this: LoDashExplicitWrapper<object | null | undefined>

  - ##### iteratee: object

  - ##### Optional depth: undefined | number

  #### Returns LoDashExplicitWrapper<boolean[]>

### groupBy

- groupBy<T>(this: LoDashExplicitWrapper<List<T> | null | undefined>, iteratee?: ValueIteratee<T>): LoDashExplicitWrapper<Dictionary<T[]>>
- groupBy<T>(this: LoDashExplicitWrapper<T | null | undefined>, iteratee?: ValueIteratee<T[keyof T]>): LoDashExplicitWrapper<Dictionary<Array<T[keyof T]>>>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:1281
  see

    _.groupBy

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T> | null | undefined>

  - ##### Optional iteratee: ValueIteratee<T>

  #### Returns LoDashExplicitWrapper<Dictionary<T[]>>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:1289
  see

    _.groupBy

  #### Type parameters

  - #### T: object

  #### Parameters

  - ##### this: LoDashExplicitWrapper<T | null | undefined>

  - ##### Optional iteratee: ValueIteratee<T[keyof T]>

  #### Returns LoDashExplicitWrapper<Dictionary<Array<T[keyof T]>>>

### includes

- includes<T>(this: LoDashExplicitWrapper<List<T> | Dictionary<T> | NumericDictionary<T> | null | undefined>, target: T, fromIndex?: undefined | number): LoDashExplicitWrapper<boolean>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:1329
  see

    _.includes

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T> | Dictionary<T> | NumericDictionary<T> | null | undefined>

  - ##### target: T

  - ##### Optional fromIndex: undefined | number

  #### Returns LoDashExplicitWrapper<boolean>

### invokeMap

- invokeMap(methodName: string, ...args: any[]): LoDashExplicitWrapper<any[]>
- invokeMap<TResult>(method: function, ...args: any[]): LoDashExplicitWrapper<TResult[]>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:1382
  see

    _.invokeMap

  #### Parameters

  - ##### methodName: string

  - ##### Rest ...args: any[]

  #### Returns LoDashExplicitWrapper<any[]>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:1389
  see

    _.invokeMap

  #### Type parameters

  - #### TResult

  #### Parameters

  - ##### method: function

    - - (...args: any[]): TResult

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns TResult

  - ##### Rest ...args: any[]

  #### Returns LoDashExplicitWrapper<TResult[]>

### keyBy

- keyBy<T>(this: LoDashExplicitWrapper<List<T> | null | undefined>, iteratee?: ValueIterateeCustom<T, PropertyName>): LoDashExplicitWrapper<Dictionary<T>>
- keyBy<T>(this: LoDashExplicitWrapper<T | null | undefined>, iteratee?: ValueIterateeCustom<T[keyof T], PropertyName>): LoDashExplicitWrapper<Dictionary<T[keyof T]>>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:1442
  see

    _.keyBy

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T> | null | undefined>

  - ##### Optional iteratee: ValueIterateeCustom<T, PropertyName>

  #### Returns LoDashExplicitWrapper<Dictionary<T>>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:1450
  see

    _.keyBy

  #### Type parameters

  - #### T: object

  #### Parameters

  - ##### this: LoDashExplicitWrapper<T | null | undefined>

  - ##### Optional iteratee: ValueIterateeCustom<T[keyof T], PropertyName>

  #### Returns LoDashExplicitWrapper<Dictionary<T[keyof T]>>

### map

- map<T, TResult>(this: LoDashExplicitWrapper<T[] | null | undefined>, iteratee: ArrayIterator<T, TResult>): LoDashExplicitWrapper<TResult[]>
- map<T, TResult>(this: LoDashExplicitWrapper<List<T> | null | undefined>, iteratee: ListIterator<T, TResult>): LoDashExplicitWrapper<TResult[]>
- map<T>(this: LoDashExplicitWrapper<List<T> | Dictionary<T> | NumericDictionary<T> | null | undefined>): LoDashExplicitWrapper<T[]>
- map<T, TResult>(this: LoDashExplicitWrapper<T | null | undefined>, iteratee: ObjectIterator<T, TResult>): LoDashExplicitWrapper<TResult[]>
- map<T, K>(this: LoDashExplicitWrapper<List<T> | Dictionary<T> | NumericDictionary<T> | null | undefined>, iteratee: K): LoDashExplicitWrapper<Array<T[K]>>
- map<T>(this: LoDashExplicitWrapper<List<T> | Dictionary<T> | NumericDictionary<T> | null | undefined>, iteratee?: undefined | string): LoDashExplicitWrapper<any[]>
- map<T>(this: LoDashExplicitWrapper<List<T> | Dictionary<T> | NumericDictionary<T> | null | undefined>, iteratee?: undefined | object): LoDashExplicitWrapper<boolean[]>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:1581
  see

    _.map

  #### Type parameters

  - #### T

  - #### TResult

  #### Parameters

  - ##### this: LoDashExplicitWrapper<T[] | null | undefined>

  - ##### iteratee: ArrayIterator<T, TResult>

  #### Returns LoDashExplicitWrapper<TResult[]>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:1589
  see

    _.map

  #### Type parameters

  - #### T

  - #### TResult

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T> | null | undefined>

  - ##### iteratee: ListIterator<T, TResult>

  #### Returns LoDashExplicitWrapper<TResult[]>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:1597
  see

    _.map

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T> | Dictionary<T> | NumericDictionary<T> | null | undefined>

  #### Returns LoDashExplicitWrapper<T[]>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:1602
  see

    _.map

  #### Type parameters

  - #### T: object

  - #### TResult

  #### Parameters

  - ##### this: LoDashExplicitWrapper<T | null | undefined>

  - ##### iteratee: ObjectIterator<T, TResult>

  #### Returns LoDashExplicitWrapper<TResult[]>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:1608
  see

    _.map

  #### Type parameters

  - #### T

  - #### K: keyof T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T> | Dictionary<T> | NumericDictionary<T> | null | undefined>

  - ##### iteratee: K

  #### Returns LoDashExplicitWrapper<Array<T[K]>>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:1616
  see

    _.map

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T> | Dictionary<T> | NumericDictionary<T> | null | undefined>

  - ##### Optional iteratee: undefined | string

  #### Returns LoDashExplicitWrapper<any[]>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:1624
  see

    _.map

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T> | Dictionary<T> | NumericDictionary<T> | null | undefined>

  - ##### Optional iteratee: undefined | object

  #### Returns LoDashExplicitWrapper<boolean[]>

### orderBy

- orderBy<T>(this: LoDashExplicitWrapper<List<T> | null | undefined>, iteratees?: Many<ListIterator<T, NotVoid>>, orders?: Many<boolean | "asc" | "desc">): LoDashExplicitWrapper<T[]>
- orderBy<T>(this: LoDashExplicitWrapper<List<T> | null | undefined>, iteratees?: Many<ListIteratee<T>>, orders?: Many<boolean | "asc" | "desc">): LoDashExplicitWrapper<T[]>
- orderBy<T>(this: LoDashExplicitWrapper<T | null | undefined>, iteratees?: Many<ObjectIterator<T, NotVoid>>, orders?: Many<boolean | "asc" | "desc">): LoDashExplicitWrapper<Array<T[keyof T]>>
- orderBy<T>(this: LoDashExplicitWrapper<T | null | undefined>, iteratees?: Many<ObjectIteratee<T>>, orders?: Many<boolean | "asc" | "desc">): LoDashExplicitWrapper<Array<T[keyof T]>>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:1734
  see

    _.orderBy

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T> | null | undefined>

  - ##### Optional iteratees: Many<ListIterator<T, NotVoid>>

  - ##### Optional orders: Many<boolean | "asc" | "desc">

  #### Returns LoDashExplicitWrapper<T[]>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:1743
  see

    _.orderBy

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T> | null | undefined>

  - ##### Optional iteratees: Many<ListIteratee<T>>

  - ##### Optional orders: Many<boolean | "asc" | "desc">

  #### Returns LoDashExplicitWrapper<T[]>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:1752
  see

    _.orderBy

  #### Type parameters

  - #### T: object

  #### Parameters

  - ##### this: LoDashExplicitWrapper<T | null | undefined>

  - ##### Optional iteratees: Many<ObjectIterator<T, NotVoid>>

  - ##### Optional orders: Many<boolean | "asc" | "desc">

  #### Returns LoDashExplicitWrapper<Array<T[keyof T]>>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:1761
  see

    _.orderBy

  #### Type parameters

  - #### T: object

  #### Parameters

  - ##### this: LoDashExplicitWrapper<T | null | undefined>

  - ##### Optional iteratees: Many<ObjectIteratee<T>>

  - ##### Optional orders: Many<boolean | "asc" | "desc">

  #### Returns LoDashExplicitWrapper<Array<T[keyof T]>>

### partition

- partition<T>(this: LoDashExplicitWrapper<List<T> | null | undefined>, callback: ValueIteratee<T>): LoDashExplicitWrapper<[T[], T[]]>
- partition<T>(this: LoDashExplicitWrapper<T | null | undefined>, callback: ValueIteratee<T[keyof T]>): LoDashExplicitWrapper<[Array<T[keyof T]>, Array<T[keyof T]>]>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:1816
  see

    _.partition

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T> | null | undefined>

  - ##### callback: ValueIteratee<T>

  #### Returns LoDashExplicitWrapper<[T[], T[]]>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:1824
  see

    _.partition

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<T | null | undefined>

  - ##### callback: ValueIteratee<T[keyof T]>

  #### Returns LoDashExplicitWrapper<[Array<T[keyof T]>, Array<T[keyof T]>]>

### reduce

- reduce<T, TResult>(this: LoDashExplicitWrapper<T[] | null | undefined>, callback: MemoListIterator<T, TResult, T[]>, accumulator: TResult): LoDashExplicitWrapper<TResult>
- reduce<T, TResult>(this: LoDashExplicitWrapper<List<T> | null | undefined>, callback: MemoListIterator<T, TResult, List<T>>, accumulator: TResult): LoDashExplicitWrapper<TResult>
- reduce<T, TResult>(this: LoDashExplicitWrapper<T | null | undefined>, callback: MemoObjectIterator<T[keyof T], TResult, T>, accumulator: TResult): LoDashExplicitWrapper<TResult>
- reduce<T>(this: LoDashExplicitWrapper<T[] | null | undefined>, callback: MemoListIterator<T, T, T[]>): LoDashExplicitWrapper<T | undefined>
- reduce<T>(this: LoDashExplicitWrapper<List<T> | null | undefined>, callback: MemoListIterator<T, T, List<T>>): LoDashExplicitWrapper<T | undefined>
- reduce<T>(this: LoDashExplicitWrapper<T | null | undefined>, callback: MemoObjectIterator<T[keyof T], T[keyof T], T>): LoDashExplicitWrapper<T[keyof T] | undefined>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:1950
  see

    _.reduce

  #### Type parameters

  - #### T

  - #### TResult

  #### Parameters

  - ##### this: LoDashExplicitWrapper<T[] | null | undefined>

  - ##### callback: MemoListIterator<T, TResult, T[]>

  - ##### accumulator: TResult

  #### Returns LoDashExplicitWrapper<TResult>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:1959
  see

    _.reduce

  #### Type parameters

  - #### T

  - #### TResult

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T> | null | undefined>

  - ##### callback: MemoListIterator<T, TResult, List<T>>

  - ##### accumulator: TResult

  #### Returns LoDashExplicitWrapper<TResult>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:1968
  see

    _.reduce

  #### Type parameters

  - #### T: object

  - #### TResult

  #### Parameters

  - ##### this: LoDashExplicitWrapper<T | null | undefined>

  - ##### callback: MemoObjectIterator<T[keyof T], TResult, T>

  - ##### accumulator: TResult

  #### Returns LoDashExplicitWrapper<TResult>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:1977
  see

    _.reduce

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<T[] | null | undefined>

  - ##### callback: MemoListIterator<T, T, T[]>

  #### Returns LoDashExplicitWrapper<T | undefined>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:1985
  see

    _.reduce

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T> | null | undefined>

  - ##### callback: MemoListIterator<T, T, List<T>>

  #### Returns LoDashExplicitWrapper<T | undefined>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:1993
  see

    _.reduce

  #### Type parameters

  - #### T: object

  #### Parameters

  - ##### this: LoDashExplicitWrapper<T | null | undefined>

  - ##### callback: MemoObjectIterator<T[keyof T], T[keyof T], T>

  #### Returns LoDashExplicitWrapper<T[keyof T] | undefined>

### reduceRight

- reduceRight<T, TResult>(this: LoDashExplicitWrapper<T[] | null | undefined>, callback: MemoListIterator<T, TResult, T[]>, accumulator: TResult): LoDashExplicitWrapper<TResult>
- reduceRight<T, TResult>(this: LoDashExplicitWrapper<List<T> | null | undefined>, callback: MemoListIterator<T, TResult, List<T>>, accumulator: TResult): LoDashExplicitWrapper<TResult>
- reduceRight<T, TResult>(this: LoDashExplicitWrapper<T | null | undefined>, callback: MemoObjectIterator<T[keyof T], TResult, T>, accumulator: TResult): LoDashExplicitWrapper<TResult>
- reduceRight<T>(this: LoDashExplicitWrapper<T[] | null | undefined>, callback: MemoListIterator<T, T, T[]>): LoDashExplicitWrapper<T | undefined>
- reduceRight<T>(this: LoDashExplicitWrapper<List<T> | null | undefined>, callback: MemoListIterator<T, T, List<T>>): LoDashExplicitWrapper<T | undefined>
- reduceRight<T>(this: LoDashExplicitWrapper<T | null | undefined>, callback: MemoObjectIterator<T[keyof T], T[keyof T], T>): LoDashExplicitWrapper<T[keyof T] | undefined>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:2116
  see

    _.reduceRight

  #### Type parameters

  - #### T

  - #### TResult

  #### Parameters

  - ##### this: LoDashExplicitWrapper<T[] | null | undefined>

  - ##### callback: MemoListIterator<T, TResult, T[]>

  - ##### accumulator: TResult

  #### Returns LoDashExplicitWrapper<TResult>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:2125
  see

    _.reduceRight

  #### Type parameters

  - #### T

  - #### TResult

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T> | null | undefined>

  - ##### callback: MemoListIterator<T, TResult, List<T>>

  - ##### accumulator: TResult

  #### Returns LoDashExplicitWrapper<TResult>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:2134
  see

    _.reduceRight

  #### Type parameters

  - #### T: object

  - #### TResult

  #### Parameters

  - ##### this: LoDashExplicitWrapper<T | null | undefined>

  - ##### callback: MemoObjectIterator<T[keyof T], TResult, T>

  - ##### accumulator: TResult

  #### Returns LoDashExplicitWrapper<TResult>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:2143
  see

    _.reduceRight

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<T[] | null | undefined>

  - ##### callback: MemoListIterator<T, T, T[]>

  #### Returns LoDashExplicitWrapper<T | undefined>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:2151
  see

    _.reduceRight

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T> | null | undefined>

  - ##### callback: MemoListIterator<T, T, List<T>>

  #### Returns LoDashExplicitWrapper<T | undefined>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:2159
  see

    _.reduceRight

  #### Type parameters

  - #### T: object

  #### Parameters

  - ##### this: LoDashExplicitWrapper<T | null | undefined>

  - ##### callback: MemoObjectIterator<T[keyof T], T[keyof T], T>

  #### Returns LoDashExplicitWrapper<T[keyof T] | undefined>

### reject

- reject(this: LoDashExplicitWrapper<string | null | undefined>, predicate?: StringIterator<boolean>): LoDashExplicitWrapper<string[]>
- reject<T>(this: LoDashExplicitWrapper<List<T> | null | undefined>, predicate?: ListIterateeCustom<T, boolean>): LoDashExplicitWrapper<T[]>
- reject<T>(this: LoDashExplicitWrapper<T | null | undefined>, predicate?: ObjectIterateeCustom<T, boolean>): LoDashExplicitWrapper<Array<T[keyof T]>>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:2228
  see

    _.reject

  #### Parameters

  - ##### this: LoDashExplicitWrapper<string | null | undefined>

  - ##### Optional predicate: StringIterator<boolean>

  #### Returns LoDashExplicitWrapper<string[]>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:2236
  see

    _.reject

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T> | null | undefined>

  - ##### Optional predicate: ListIterateeCustom<T, boolean>

  #### Returns LoDashExplicitWrapper<T[]>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:2244
  see

    _.reject

  #### Type parameters

  - #### T: object

  #### Parameters

  - ##### this: LoDashExplicitWrapper<T | null | undefined>

  - ##### Optional predicate: ObjectIterateeCustom<T, boolean>

  #### Returns LoDashExplicitWrapper<Array<T[keyof T]>>

### sample

- sample<T>(this: LoDashExplicitWrapper<List<T> | Dictionary<T> | NumericDictionary<T> | null | undefined>): LoDashExplicitWrapper<T | undefined>
- sample<T>(this: LoDashExplicitWrapper<T | null | undefined>): LoDashExplicitWrapper<T[keyof T] | undefined>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:2291
  see

    _.sample

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T> | Dictionary<T> | NumericDictionary<T> | null | undefined>

  #### Returns LoDashExplicitWrapper<T | undefined>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:2298
  see

    _.sample

  #### Type parameters

  - #### T: object

  #### Parameters

  - ##### this: LoDashExplicitWrapper<T | null | undefined>

  #### Returns LoDashExplicitWrapper<T[keyof T] | undefined>

### sampleSize

- sampleSize<T>(this: LoDashExplicitWrapper<List<T> | Dictionary<T> | NumericDictionary<T> | null | undefined>, n?: undefined | number): LoDashExplicitWrapper<T[]>
- sampleSize<T>(this: LoDashExplicitWrapper<T | null | undefined>, n?: undefined | number): LoDashExplicitWrapper<Array<T[keyof T]>>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:2349
  see

    _.sampleSize

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T> | Dictionary<T> | NumericDictionary<T> | null | undefined>

  - ##### Optional n: undefined | number

  #### Returns LoDashExplicitWrapper<T[]>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:2357
  see

    _.sampleSize

  #### Type parameters

  - #### T: object

  #### Parameters

  - ##### this: LoDashExplicitWrapper<T | null | undefined>

  - ##### Optional n: undefined | number

  #### Returns LoDashExplicitWrapper<Array<T[keyof T]>>

### shuffle

- shuffle<T>(this: LoDashExplicitWrapper<List<T> | null | undefined>): LoDashExplicitWrapper<T[]>
- shuffle<T>(this: LoDashExplicitWrapper<T | null | undefined>): LoDashExplicitWrapper<Array<T[keyof T]>>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:2396
  see

    _.shuffle

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T> | null | undefined>

  #### Returns LoDashExplicitWrapper<T[]>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:2401
  see

    _.shuffle

  #### Type parameters

  - #### T: object

  #### Parameters

  - ##### this: LoDashExplicitWrapper<T | null | undefined>

  #### Returns LoDashExplicitWrapper<Array<T[keyof T]>>

### size

- size(): LoDashExplicitWrapper<number>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:2428
  see

    _.size

  #### Returns LoDashExplicitWrapper<number>

### some

- some<T>(this: LoDashExplicitWrapper<List<T> | null | undefined>, predicate?: ListIterateeCustom<T, boolean>): LoDashExplicitWrapper<boolean>
- some<T>(this: LoDashExplicitWrapper<T | null | undefined>, predicate?: ObjectIterateeCustom<T, boolean>): LoDashExplicitWrapper<boolean>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:2478
  see

    _.some

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T> | null | undefined>

  - ##### Optional predicate: ListIterateeCustom<T, boolean>

  #### Returns LoDashExplicitWrapper<boolean>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:2486
  see

    _.some

  #### Type parameters

  - #### T: object

  #### Parameters

  - ##### this: LoDashExplicitWrapper<T | null | undefined>

  - ##### Optional predicate: ObjectIterateeCustom<T, boolean>

  #### Returns LoDashExplicitWrapper<boolean>

### sortBy

- sortBy<T>(this: LoDashExplicitWrapper<List<T> | null | undefined>, ...iteratees: Array<Many<ListIteratee<T>>>): LoDashExplicitWrapper<T[]>
- sortBy<T>(this: LoDashExplicitWrapper<T | null | undefined>, ...iteratees: Array<Many<ObjectIteratee<T>>>): LoDashExplicitWrapper<Array<T[keyof T]>>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:2562
  see

    _.sortBy

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashExplicitWrapper<List<T> | null | undefined>

  - ##### Rest ...iteratees: Array<Many<ListIteratee<T>>>

  #### Returns LoDashExplicitWrapper<T[]>

- - Defined in node_modules/@types/lodash/common/collection.d.ts:2570
  see

    _.sortBy

  #### Type parameters

  - #### T: object

  #### Parameters

  - ##### this: LoDashExplicitWrapper<T | null | undefined>

  - ##### Rest ...iteratees: Array<Many<ObjectIteratee<T>>>

  #### Returns LoDashExplicitWrapper<Array<T[keyof T]>>

Generated using TypeDoc